import Link from "next/link";
import styles from "./breadcrumb.module.scss";

export const Breadcrumb = ({ link, text, date }: { link: string, text: string, date?: string }) => {
  return (
    <div className={styles.breadcrumb}>
      <Link href={link}>{text}</Link>
      {date && <span className={styles.date}>{date}</span>}
    </div>
  );
};
